Bug 842111 - Gnome calculator doesn't respect the locale settings for number formats
Gnome calculator doesn't respect the locale settings for number formats
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gcalctool (Show other bugs)
17
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-22 03:39 EDT by Stefan
Modified: 2013-08-01 06:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 06:19:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan 2012-07-22 03:39:31 EDT
I use Fedora with the following settings for the locales (Regions and Language):

    Language: English
    Formats: Austria
    Layouts: German(Austria)

The Gnome Calculator doesn't honor my format settings. For the decimal separator, the Gnome Calculator is still requiring the dot instead of a comma.

If i change the language to German, then Gnome Calculator is using the comma as decimal separator. But like all other applications, Gnome Calculator should honor the format locale instead of the language locale.


Version-Release number of selected component (if applicable):
* Fedora 17 
* gcalctool 6.4.2.1


Steps to Reproduce:
1. Open the Gnome-tool "Region and Languages"
2. Set Language=English, Formats=Austria, Layouts=German(Austria)
3. Open the Gnome Calcualtor
4. Try to enter a comma as decimal separator
  
Actual results:
You cannot enter a comma as decimal separater - you must use the dot.

Expected results:
The comma is accepted as decimal separator
Comment 1 Erik P. Olsen 2012-07-24 00:54:08 EDT
Happens with Danish as well on:

Fedora 16
gcalctool-6.2.0-1.fc16.x86_64
Comment 2 Stefan 2012-09-02 03:49:27 EDT
I just noticed, that if i run gconftool via terminal, my number format settings will be honored by gconftool.
Comment 3 Stefan 2012-09-02 04:03:55 EDT
Additionally to my previous comment, the only way, when gcalctool is using the wrong number format, is starting gcalctool via the calculator key on my keyboard.

The other ways to start gcalctool (alt+f2, terminal, activity overview) will force gcalctool to use the right number formats.

Unfortunately, the calculator key is the most important way to start it :-(
Comment 4 Fedora End Of Life 2013-07-03 23:09:30 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 06:19:22 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.